@import '../../../styles/medias';
@import '../../../styles/mixins';

$comment-height: 120px;
:host {
  padding: $padding;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto 1fr minmax($comment-height, auto);
  justify-items: center;
  height: 100%;
  min-height: calc(100vh - #{$padding * 2});

  &::before {
    content: '';
    position: fixed;
    z-index: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('/assets/images/circle-mask-2-1.svg'), url('/assets/images/main-pattern.svg');
    background-repeat: no-repeat;

    background-size: auto clamp(200px, 15vw, 300px), auto clamp(280px, 29vw, 550px);

    background-position: top left, bottom right;
  }
}

header {
  z-index: 1;
  margin-bottom: $margin * 4;
  .title {
    margin-top: calc(#{$main-header-height-gtsm} + 1rem);
    h1,
    h2 {
      text-align: center;
    }
  }

  .menu {
    position: fixed;
    top: $padding;
    right: $padding;
    z-index: 2;
    @include generic-layout(100%);
    height: $main-header-height-gtsm;
    align-items: flex-end;
    &__row {
      height: 100%;
      @include generic-layout();
      align-items: flex-end;
      flex-direction: row;
      & > * + * {
        margin-left: $margin;
      }
      &__item {
        @include outer-neumorphism();
        @include rainbow-link();

        & + & {
          margin-left: $margin;
        }
        border-radius: $border-radius;
        height: 100%;
        width: 70px;
        outline: none;
        a,
        button {
          position: relative;
          z-index: 2;
          @include flex-center-layout();
          height: 100%;
          text-decoration: none;
          color: $color-white;

          background: transparent;
          border: none;
          width: 100%;
          cursor: pointer;
        }
      }
    }
  }
}

section {
  position: static;
  z-index: 1;
  @include generic-layout(100%);
  max-width: $max-width;
}

.serie-container {
  align-self: flex-start;
  margin-bottom: $margin * 10;
  .series {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
    gap: $margin * 2;

    @include xs {
      grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
      gap: $margin;
    }
  }
}

.comment-container {
  form {
    overflow: hidden;
    background-color: $color-secondary;
    border-radius: $border-radius $border-radius 0 0;
    border: 1px solid $color-border;
    box-sizing: border-box;
    padding: $padding;
    margin-top: $margin * 2;
    height: $comment-height;
    transition: height 0.3s $cubic-bezier;
    will-change: height;
    width: 100%;
    mat-form-field {
      width: 100%;
      height: 100%;
    }
    button[type='submit'] {
      margin-left: $margin;
      color: $color-text;
      &:hover {
        color: $color-accent1;
      }
    }
    &.focus {
      height: $comment-height * 1.5;
    }
  }

  & > .comment + .comment {
    margin-top: $margin * 2;
  }
  .comment {
    position: relative;
    background-color: $color-secondary;
    border-radius: $border-radius;
    border: 1px solid $color-border;
    border-left: 3px solid $color-accent1;
    box-sizing: border-box;
    width: 90%;
    p {
      font-size: 1rem;
      padding: $padding;
    }

    &::before {
      content: '';
      position: absolute;
      width: 0;
      height: 0;
      bottom: 0;
      left: 1.5em;
      border: 0.75rem solid transparent;
      border-top: none;
      transform: rotate(180deg) translateY(-100%);

      border-bottom-color: $color-secondary;
    }

    &:nth-child(2n) {
      align-self: flex-end;
      border-left: initial;
      border-right: 3px solid $color-accent1;

      &::before {
        left: initial;
        right: 1.5em;
      }
    }
  }
}
